LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XBorderResizeListener Interface Reference

allows to listen to border resize events of a controller. More...

`import"XBorderResizeListener.idl";`

Inheritance diagram for XBorderResizeListener:

## Public Member Functions
void | borderWidthsChanged ([in] ::com::sun::star::uno::XInterface Object, [in] BorderWidths NewSize)
| notifies the listener that the controller's border widths have been changed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to listen to border resize events of a controller.

## Member Function Documentation

## ◆ borderWidthsChanged()

void borderWidthsChanged | ( | [in] ::com::sun::star::uno::XInterface | Object,
|  | [in] BorderWidths | NewSize
| ) |  |

notifies the listener that the controller's border widths have been changed.

Parameters

  Object | reference to the object representing the controller
  NewSize | the new widths of the controller's border

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XBorderResizeListener.idl